Subject: PO# 579426057
From: Nancy Morris <[email-masked]>
To: [email-masked]
Date: Wed, 25 Jun 2025 09:07:47 -0700

I purchased your Caymus Rectangular Soft Close Storage Bench on the Wayfair
website on March 26th (purchase order #579426057). The bench is advertised
as holding up to 400 pounds. My husband weighs 170 and the bench has
already cracked where he sat and is sagging. There is a one year
manufacturer's warranty and Wayfair told me to contact you for replacement
or refund. I tried calling your customer service number, but was on hold
for quite a while and no one answered.

Please let me know if you need anymore information.

My number is 805-300-7050

Nancy Morris